gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[gnunet] branch master updated (0e76bc87a -> 3c6175c06)


From: gnunet
Subject: [gnunet] branch master updated (0e76bc87a -> 3c6175c06)
Date: Thu, 29 Feb 2024 02:42:03 +0100

This is an automated email from the git hooks/post-receive script.

dvn pushed a change to branch master
in repository gnunet.

    from 0e76bc87a build: Add gmp to libgnunetutil build (was indirect 
dependency)
     new be9612750 ci: add newly required sphinx modules
     new 3c6175c06 ci: update run-local script

The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails.  The revisions
listed as "add" were already present in the repository and have only
been added to this reference.


Summary of changes:
 contrib/ci/Containerfile |  2 ++
 contrib/ci/ci.sh         | 22 +++++++++++++---------
 2 files changed, 15 insertions(+), 9 deletions(-)

diff --git a/contrib/ci/Containerfile b/contrib/ci/Containerfile
index e0778e7b7..a69c35f7e 100644
--- a/contrib/ci/Containerfile
+++ b/contrib/ci/Containerfile
@@ -19,6 +19,8 @@ RUN apt-get update -yqq && \
                   make \
                   python3-sphinx \
                   python3-sphinx-book-theme \
+                  python3-sphinx-multiversion \
+                   python3-sphinx-rtd-theme \
                    texinfo \
                   autopoint \
                   curl \
diff --git a/contrib/ci/ci.sh b/contrib/ci/ci.sh
index 7dd3a957a..0719015b9 100755
--- a/contrib/ci/ci.sh
+++ b/contrib/ci/ci.sh
@@ -1,29 +1,33 @@
 #!/bin/bash
-set -evuo pipefail
+set -exvuo pipefail
 
-# Use podman if available, otherwise use docker.
-# Fails if neither is found in PATH
-OCI_RUNTIME=$(which podman || which docker)
+# Requires podman
+# Fails if not found in PATH
+OCI_RUNTIME=$(which podman)
 REPO_NAME=$(basename "${PWD}")
 JOB_NAME="${1}"
-JOB_CONTAINER=$((grep CONTAINER_NAME ci/jobs/${JOB_NAME}/config.ini | cut -d' 
' -f 3) || echo "${REPO_NAME}")
+JOB_ARCH=$((grep CONTAINER_ARCH contrib/ci/jobs/${JOB_NAME}/config.ini | cut 
-d' ' -f 3) || echo "${2:-amd64}")
+JOB_CONTAINER=$((grep CONTAINER_NAME contrib/ci/jobs/${JOB_NAME}/config.ini | 
cut -d' ' -f 3) || echo "localhost/${REPO_NAME}:${JOB_ARCH}")
+CONTAINER_BUILD=$((grep CONTAINER_BUILD contrib/ci/jobs/${JOB_NAME}/config.ini 
| cut -d' ' -f 3) || echo "True")
 
-echo "${JOB_CONTAINER}"
+echo "Image name: ${JOB_CONTAINER}"
 
-if [ "${JOB_CONTAINER}" = "${REPO_NAME}" ] ; then
+if [ "${CONTAINER_BUILD}" = "True" ] ; then
        "${OCI_RUNTIME}" build \
+               --arch "${JOB_ARCH}" \
                -t "${JOB_CONTAINER}" \
-               -f ci/Containerfile .
+               -f contrib/ci/Containerfile .
 fi
 
 "${OCI_RUNTIME}" run \
        --rm \
        -ti \
+       --arch "${JOB_ARCH}" \
        --env CI_COMMIT_REF="$(git rev-parse HEAD)" \
        --volume "${PWD}":/workdir \
        --workdir /workdir \
        "${JOB_CONTAINER}" \
-       ci/jobs/"${JOB_NAME}"/job.sh
+       contrib/ci/jobs/"${JOB_NAME}"/job.sh
 
 top_dir=$(dirname "${BASH_SOURCE[0]}")
 

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]